// -----------------------------------------------------------------------------
//
// Author(s):     Peter Schraut (www.console-dev.de)
// Last Modified: 17th August 2005
//
// Purpose:       Demo shows how to use the Splash Functions.
//
// -----------------------------------------------------------------------------
#include <hel.h>
#include "ResourceData.h"


// -----------------------------------------------------------------------------
// Program Entry Point
// -----------------------------------------------------------------------------
int main(void)
{
    ham_Init();
    hel_SysSetPrefetch(TRUE);
    ham_SetBgMode(4);

    for(;;)
    {
      // Display the SplashScreen
      hel_Splash
        (
          ResData(RES_SPLASHHEL_RAW),  // pBitmap
          ResData(RES_SPLASHHEL_PAL),  // pPalette
          SPLASH_TYPE_BLACK,           // SplashTypeIn
          SPLASH_TYPE_BLACK,           // SplashTypeOut
          6,                           // FadeInSpeed
          6,                           // FadeOutSpeed
          40,                          // WaitFrames
          16                           // AfterWaitFrames
        );
    }
    
    return 0;
}


