// -----------------------------------------------------------------------------
//
// Author(s):     Peter Schraut (www.console-dev.de)
// Last Modified: 17th July 2005
//
// Purpose:       Demo shows how to use the Splash Function.
//
// -----------------------------------------------------------------------------
#include <hel.h>
#include "ResourceData.h"


// -----------------------------------------------------------------------------
// Program Entry Point
// -----------------------------------------------------------------------------
int main(void)
{
    ham_Init();
    hel_SysSetPrefetch(TRUE);
    ham_SetBgMode(4);
    
    for(;;)
    {
      // Display "Some Text" screen
      hel_Splash
        (
          ResData(RES_SPLASHTEXT_RAW), // pBitmap
          ResData(RES_SPLASHTEXT_PAL), // pPalette
          SPLASH_TYPE_BLACK,           // SplashTypeIn
          SPLASH_TYPE_BLACK,           // SplashTypeOut
          6,                           // FadeInSpeed
          6,                           // FadeOutSpeed
          40,                          // WaitFrames
          16                           // AfterWaitFrames
        );


      // Display "HEL" screen
      hel_Splash
        (
          ResData(RES_SPLASHHEL_RAW),  // pBitmap
          ResData(RES_SPLASHHEL_PAL),  // pPalette
          SPLASH_TYPE_BLACK,           // SplashTypeIn
          SPLASH_TYPE_WHITE,           // SplashTypeOut
          6,                           // FadeInSpeed
          6,                           // FadeOutSpeed
          40,                          // WaitFrames
          16                           // AfterWaitFrames
        );


      // The last call to hel_Splash() cleared Video and Palette RAM.
      // We specify NULL for pBitmap and pPalette so it HEL knows not to
      // store a bitmap or palette.
      // Now we fade the screen from white to black.
      hel_Splash((void*)NULL,                     // pBitmap
                 (void*)NULL,                     // pPalette
                 SPLASH_TYPE_WHITE,               // SplashTypeIn
                 SPLASH_TYPE_BLACK,               // SplashTypeOut
                 16,                              // FadeInSpeed
                  6,                              // FadeOutSpeed
                  0,                              // WaitFrames
                 16);                             // AfterWaitFrames
    }
    
    return 0;
}


